{
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.gaming.gamemode;
in {
  options.gaming.gamemode = {
    enable = lib.mkEnableOption "enable lutris";
  };

  config = lib.mkIf cfg.enable {

    # enable gamemode for game optimizations
    # requires setting launch option `gamemoderun %command%`
    programs.gamemode.enable = true;

  };
}
